Bug 1699061 - Review Request: deepin-qt5dxcb-plugin - Qt platform integration plugin for Deepin Desktop Environment
Summary: Review Request: deepin-qt5dxcb-plugin - Qt platform integration plugin for De...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: DeepinDEPackageReview 1693062
TreeView+ depends on / blocked
 
Reported: 2019-04-11 16:42 UTC by Robin Lee
Modified: 2019-04-27 21:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-27 21:25:12 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Robin Lee 2019-04-11 16:42:07 UTC
Spec URL: https://cheeselee.fedorapeople.org/deepin-qt5dxcb-plugin.spec
SRPM URL: https://cheeselee.fedorapeople.org/deepin-qt5dxcb-plugin-1.1.25-1.fc28.src.rpm
Description: qt5dxcb-plugin is the Qt platform integration plugin for Deepin Desktop Environment.
Fedora Account System Username: cheeselee

Comment 1 Robert-André Mauchin 🐧 2019-04-13 16:30:09 UTC
 - The description line is too long, try to split it:

%{repo} is the
%{summary}.


deepin-qt5dxcb-plugin.x86_64: E: description-line-too-long C qt5dxcb-plugin is the Qt platform integration plugin for Deepin Desktop Environment.


Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GPL (v3 or later)", "*No copyright*
     GNU General Public License (v3 or later)". 28 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/deepin-qt5dxcb-plugin/review-deepin-
     qt5dxcb-plugin/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in deepin-
     qt5dxcb-plugin
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: deepin-qt5dxcb-plugin-1.1.25-1.fc31.x86_64.rpm
          deepin-qt5dxcb-plugin-debuginfo-1.1.25-1.fc31.x86_64.rpm
          deepin-qt5dxcb-plugin-debugsource-1.1.25-1.fc31.x86_64.rpm
          deepin-qt5dxcb-plugin-1.1.25-1.fc31.src.rpm
deepin-qt5dxcb-plugin.x86_64: E: description-line-too-long C qt5dxcb-plugin is the Qt platform integration plugin for Deepin Desktop Environment.
deepin-qt5dxcb-plugin.src: E: description-line-too-long C qt5dxcb-plugin is the Qt platform integration plugin for Deepin Desktop Environment.
4 packages and 0 specfiles checked; 2 errors, 0 warnings.

Comment 2 Gwyn Ciesla 2019-04-14 19:50:36 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/deepin-qt5dxcb-plugin

Comment 3 Fedora Update System 2019-04-16 02:00:45 UTC
deepin-qt5dxcb-plugin-1.1.25-1.fc30 deepin-qt5integration-0.3.10-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-021d7f05c4

Comment 4 Fedora Update System 2019-04-17 01:02:26 UTC
deepin-qt5dxcb-plugin-1.1.25-1.fc30, deepin-qt5integration-0.3.10-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-021d7f05c4

Comment 5 Fedora Update System 2019-04-27 21:25:12 UTC
deepin-qt5dxcb-plugin-1.1.25-1.fc30, deepin-qt5integration-0.3.10-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.